from . import ModuleBase
import MySQLdb

class Module(ModuleBase):
    def __init__(self, manager):
        ModuleBase.__init__(self, manager)
        
        self.conf = manager.config['mysql']
        
        self.db = False
        self._connect()
    
    def _connect(self):
        if self.db:
            try:
                self.db.close()
            except:
                pass
        
        self.db = MySQLdb.connect(host = self.conf['host'], user = self.conf['user'], passwd = self.conf['passwd'], db = self.conf['db'], use_unicode = True, charset = 'utf8')        
    
    def cursor(self):
        try:
            self.db.ping()
            return self.db.cursor()
        except MySQLdb.OperationalError:
            self._connect()
            return self.db.cursor()
